Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind.helpers
Class DefaultValidationEventHandler

    java.lang.Object
      |
      +--javax.xml.bind.helpers.DefaultValidationEventHandler

All Implemented Interfaces:
  ValidationEventHandler

public class DefaultValidationEventHandler
extends java.lang.Object
implements ValidationEventHandler

This is the default validation event handler that will be used by the Unmarshaller and Validator if the client application doesn't specify their own.

It will cause the unmarshal and validate operations to fail on the first error or fatal error.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
See Also:
  `Unmarshaller`, `Validator`, `ValidationEventHandler`

Constructor Summary
`DefaultValidationEventHandler()`

Method Summary
`boolean` | `handleEvent(ValidationEvent event)` Receive notification of a validation warning or error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultValidationEventHandler

    public DefaultValidationEventHandler()

Method Detail

### handleEvent

    public boolean handleEvent(ValidationEvent event)

  Description copied from interface: `ValidationEventHandler`
  Receive notification of a validation warning or error. The ValidationEvent will have a `ValidationEventLocator` embedded in it that indicates where the error or warning occurred.

  If an unchecked runtime exception is thrown from this method, the JAXB provider will treat it as if the method returned false and interrupt the current unmarshal, validate, or marshal operation.

  Specified by:
    `handleEvent` in interface `ValidationEventHandler`
  Parameters:
    `event` - the encapsulated validation event information. It is a provider error if this parameter is null.
  Returns:
    true if the JAXB Provider should attempt to continue the current unmarshal, validate, or marshal operation after handling this warning/error, false if the provider should terminate the current operation with the appropriate `UnmarshalException`, `ValidationException`, or `MarshalException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.